FROM postgres:11

COPY --chown=postgres:postgres 01-add-archive-dir.sh /docker-entrypoint-initdb.d/01-add-archive.sh

RUN chmod +rx /docker-entrypoint-initdb.d/01-add-archive.sh

COPY pg_hba.conf /config/pg_hba.conf
COPY postgresql.conf /config/postgresql.conf


CMD ["postgres", "-cconfig_file=/config/postgresql.conf"]